Subject: bug#20193: 25.0.50; declarative type specification for D-Bus args

From: Michael Albinus <[email-masked]>
Date: Thu, 24 Sep 2020 15:17:24 +0200

Lars Ingebrigtsen <[email-masked]> writes:

Hi Lars,

>> Thinking about, it seems to be OK. Ah :type keyword must always be
>> followed by two other arguments, and so it takes nil as the empty array
>> values, instead of a boolean false. Whether we allow to be sloppy, and
>> to add a missing nil as empty value list at the end of the arguments, is
>> something to be decided (and documented).
>
> Skimming through this thread, it looks like everybody thought that this
> was a good idea?  But the branch hasn't received any updates since 2015,
> and has not been merged...

I'm kind of undecided how to continue. It would make sense to merge this
only if Daiki Ueno is still interested in. Or somebody else makes it fit
for merge (I don't know, whether it still applies after 5 years).

Best regards, Michael.